#ifndef RasterFont_Header
#define RasterFont_Header

class RasterFont {
protected:
    int	fontOffset;
    
public:
    RasterFont();
    ~RasterFont(void);
  

    // some useful constants
    enum	{char_width = 6};
    enum	{char_height = 6};
    
    // and the happy helper functions
    void printString(char *s, double x, double y, double z=0.0);
    void printCenteredString(char *s, double y, int screen_width, double z=0.0);
};

#endif
